## Documentation

The official Ruby client provides one-to-one mapping with Elasticsearch REST APIs.

### Get to know the Ruby client

#### Connecting

- Installing the client
- Connecting to Elasticsearch
- Configuration options

#### Using the Ruby client

- Indexing a document
- Getting a document
- Searching documents
- More examples

#### Developer docs

- Integrations
- Release notes
- Troubleshooting

### Explore by use case

#### Search my data

Create search experiences for your content, wherever it lives.

#### Observe my data

Follow our guides to monitor logs, metrics, and traces.

#### Protect my environment

Learn how to defend against threats across your environment.

View all Elastic docs

The Ruby logo available here is released under the Creative Commons Attribution-Share Alike 2.5 License.